



= Lua Module

The `lua` module processes attributes through a Lua interpreter.

  * Please see the `src/modules/rlm_lua/example.lua` for a sample Lua script.
  * Please see https://www.lua.org/ for more information about the Lua language.

NOTE: Uncomment any `func_*` configuration items below which are
included in your module. If the module is called for a section which
does not have a function defined, it will return `noop`.



## Configuration Settings


filename:: Module to load functions from.



NOTE: Uncomment func_<section> lines that have methods in your lua module.


== Default Configuration

```
lua {
	filename = ${modconfdir}/${.:instance}/example.lua
	func_authenticate = authenticate
	func_authorize = authorize
#	func_preacct = preacct
#	func_accounting = accounting
#	func_post_auth = post_auth
#	func_xlat = xlat
#	func_instantiate = instantiate
#	func_detach = detach
}
```
